// queue::push/pop
#include <iostream>     // std::cout
#include <queue>		// std::queue

int main ()
{
  std::queue<int> myqueue;
  
  for (int i=0; i<5; ++i) myqueue.push(i);

  std::cout << "Popping out elements...";
  while (!myqueue.empty())
  {
     std::cout << ' ' << myqueue.front();
     myqueue.pop();
  }
  std::cout << '\n' <<myqueue.size();

  return 0;
}
